<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<form id="formID">
    VideoUrl<input type="text" name="videoURl" id="videoURL"><br>
    <input type="button" value="Submit" onclick="downloadVideo()">
</form>

<script>
    function downloadVideo() {
        const errorMsg = "Invalid URL"

        const defaultYoutubeUrl = "https://www.youtube.com/watch?"

        let videoURL = document.getElementById("formID")["videoURl"].value

        if (!videoURL.startsWith(defaultYoutubeUrl)) {
            alert(errorMsg)
            return
        }

        const parameterArray = videoURL.substring(defaultYoutubeUrl.length).split("=")

        let videoID = null

        for (let i = 0; i < parameterArray.length; i++) {
            if (i % 2 == 0 && parameterArray[i] == "v" && i + 1 < parameterArray.length)
                videoID = parameterArray[i + 1]
        }

        if (videoID === null) {
            alert(errorMsg)
            return
        }

        window.location.replace("https://ddc7e976.ap.ngrok.io/download/" + videoID)
    }

</script>
</body>
</html>